Bug 425251 - Install into versioned directory
Install into versioned directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dblatex (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Neal Becker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 13:12 EST by Neal Becker
Modified: 2008-01-02 20:30 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2.8-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-02 20:30:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-12-14 13:12:50 EST
Description of problem:
dblatex installs into 
ln -s ../sgml/docbook/xsl-stylesheets/dblatex 

But xsl-stylesheets is a symlink to a versioned dir, so updating it will break 
dblatex.  What is the proper fix?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Neal Becker 2007-12-14 13:13:58 EST
See: https://bugzilla.redhat.com/show_bug.cgi?id=389231
Comment 2 Patrice Dumas 2007-12-14 13:24:13 EST
I think that the best solution would be to avoid installing
in sgml/docbook/xsl-stylesheets/dblatex and install only in
the dblatex directory, as upstream does. It was me who insisted
on using the docbook directory, now it seems that this is a 
bad idea.

Do you agree with that? If yes do you want that I make the 
change?

Comment 3 Neal Becker 2007-12-14 19:07:17 EST
Yes, that sounds good.  Go ahead and change it.
Comment 4 Fedora Update System 2007-12-20 14:50:04 EST
dblatex-0.2.8-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dblatex'
Comment 5 Fedora Update System 2007-12-20 14:52:42 EST
dblatex-0.2.8-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dblatex'
Comment 6 Fedora Update System 2007-12-28 12:13:32 EST
dblatex-0.2.8-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-01-02 20:30:37 EST
dblatex-0.2.8-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.